%define upstream_name       Time-Progress
%define upstream_version 2.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Elapsed and estimated finish time reporting
Url:        http://search.cpan.org/dist/%{upstream_name}
Source:     http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:  perl-devel
BuildRequires:  perl(Module::Build)

BuildArch: noarch

%description
Elapsed and estimated finish time reporting.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor destdir=${RPM_BUILD_ROOT}/
make

%check
make test

%install
make install DESTDIR=${RPM_BUILD_ROOT}
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find ${RPM_BUILD_ROOT} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%files
%doc README Changes META.yml
%{perl_vendorlib}/Time/Progress.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.0.0-3.mga6
+ Revision: 1035334
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.0.0-2.mga6
+ Revision: 969724
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 2.0.0-1.mga6
+ Revision: 873666
- update to 2.0

* Sun Aug 23 2015 sander85 <sander85> 1.900.0-1.mga6
+ Revision: 868712
- update to 1.9

* Wed Oct 15 2014 umeabot <umeabot> 1.800.0-4.mga5
+ Revision: 744011
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.800.0-3.mga5
+ Revision: 686706
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.800.0-2.mga4
+ Revision: 529502
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 sander85 <sander85> 1.800.0-1.mga4
+ Revision: 452004
- update to 1.8

* Sun Jan 13 2013 umeabot <umeabot> 1.700.0-2.mga3
+ Revision: 374358
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.700.0-1.mga1
+ Revision: 31370
- mageia rebuild
- imported package perl-Time-Progress

